| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FileDataRecorder Class Reference

`#include <FileDataRecorder.h>`

Inheritance diagram for FileDataRecorder:

## Public Member Functions
| FileDataRecorder (string pPath)
| Copy constructor.
| ~FileDataRecorder ()
int | GetStatus ()
| Returns the recorder's status (STOPPED, PLAYING, RECORDING) (thread safe)
void | Play ()
| Plays a record from the file.
void | Pause ()
| Pause the playback.
void | Stop ()
| Stops either playing or recording.
void | Record ()
| Start recording data.
void | ExportToCsv (string pPathToExport, MEASURMENT_UNIT pMeasurmentSystem)
| Exports record file to CSV only if recorder is in STOP mode.
void | FetchRecord (RawData data)
| Records RawData in the file (internal usage only)
RawData | WaitForRawData ()
| Wait for a data comming from the player.

## Constructor & Destructor Documentation

## ◆ FileDataRecorder()

FileDataRecorder::FileDataRecorder | ( | string | pPath | ) |

Copy constructor.

Parameters

  pPath |

## ◆ ~FileDataRecorder()

FileDataRecorder::~FileDataRecorder | ( |  | ) |

## Member Function Documentation

## ◆ ExportToCsv()

void FileDataRecorder::ExportToCsv | ( | string | pPathToExport,
|  | MEASURMENT_UNIT | pMeasurmentSystem )

Exports record file to CSV only if recorder is in STOP mode.

Parameters

  pPathToExport | The full filepath name to export the data
  pMeasurmentSystem | The measurment system (MILLIMETERS or INCHES) to be used to export

data conversion

## ◆ FetchRecord()

void FileDataRecorder::FetchRecord | ( | RawData | data | ) |

Records RawData in the file (internal usage only)

Parameters

  data | The rawdata to be recorded

## ◆ GetStatus()

int FileDataRecorder::GetStatus | ( |  | ) |

Returns the recorder's status (STOPPED, PLAYING, RECORDING) (thread safe)

Returns the recorder's status (STOPPED, PLAYING, RECORDING)

Returns
  A integer expression

## ◆ Pause()

void FileDataRecorder::Pause | ( |  | ) |

Pause the playback.

## ◆ Play()

void FileDataRecorder::Play | ( |  | ) |

Plays a record from the file.

## ◆ Record()

void FileDataRecorder::Record | ( |  | ) |

Start recording data.

## ◆ Stop()

void FileDataRecorder::Stop | ( |  | ) |

Stops either playing or recording.

## ◆ WaitForRawData()

RawData FileDataRecorder::WaitForRawData | ( |  | ) |

Wait for a data comming from the player.

Returns
  The replayed data

The documentation for this class was generated from the following files:

- FileDataRecorder.h
- FileDataRecorder.cpp